Package org.apache.groovy.parser.antlr4

# Class GroovyLangParser

java.lang.Object
org.antlr.v4.runtime.Recognizer<org.antlr.v4.runtime.Token,org.antlr.v4.runtime.atn.ParserATNSimulator>
org.antlr.v4.runtime.Parser
org.apache.groovy.parser.antlr4.AbstractParser
org.apache.groovy.parser.antlr4.GroovyParser
org.apache.groovy.parser.antlr4.GroovyLangParser

All Implemented Interfaces:
  `SyntaxErrorReportable`

public class GroovyLangParser extends GroovyParser
The parser for Groovy programming language, which is based on the parser generated by Antlr4

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.groovy.parser.antlr4.GroovyParser

  `GroovyParser.AdditiveExprAltContext, GroovyParser.AndExprAltContext, GroovyParser.AnnotatedQualifiedClassNameContext, GroovyParser.AnnotationContext, GroovyParser.AnnotationNameContext, GroovyParser.AnnotationsOptContext, GroovyParser.AnonymousInnerClassDeclarationContext, GroovyParser.ArgumentsContext, GroovyParser.ArrayInitializerContext, GroovyParser.AssertStatementContext, GroovyParser.AssertStmtAltContext, GroovyParser.AssignmentExprAltContext, GroovyParser.BlockContext, GroovyParser.BlockStatementContext, GroovyParser.BlockStatementsContext, GroovyParser.BlockStatementsOptContext, GroovyParser.BlockStmtAltContext, GroovyParser.BooleanLiteralAltContext, GroovyParser.BreakStatementContext, GroovyParser.BreakStmtAltContext, GroovyParser.BuiltInTypeContext, GroovyParser.BuiltInTypePrmrAltContext, GroovyParser.CastExprAltContext, GroovyParser.CastParExpressionContext, GroovyParser.CatchClauseContext, GroovyParser.CatchTypeContext, GroovyParser.ClassBodyContext, GroovyParser.ClassBodyDeclarationContext, GroovyParser.ClassDeclarationContext, GroovyParser.ClassNameContext, GroovyParser.ClassOrInterfaceModifierContext, GroovyParser.ClassOrInterfaceModifiersContext, GroovyParser.ClassOrInterfaceModifiersOptContext, GroovyParser.ClosureContext, GroovyParser.ClosureOrLambdaExpressionContext, GroovyParser.ClosureOrLambdaExpressionPrmrAltContext, GroovyParser.CommandArgumentContext, GroovyParser.CommandExprAltContext, GroovyParser.CommandExpressionContext, GroovyParser.CompactConstructorDeclarationContext, GroovyParser.CompilationUnitContext, GroovyParser.ConditionalExprAltContext, GroovyParser.ConditionalStatementContext, GroovyParser.ConditionalStmtAltContext, GroovyParser.ContinueStatementContext, GroovyParser.ContinueStmtAltContext, GroovyParser.CreatedNameContext, GroovyParser.CreatorContext, GroovyParser.Dim0Context, GroovyParser.Dim1Context, GroovyParser.DoWhileStmtAltContext, GroovyParser.DynamicMemberNameContext, GroovyParser.ElementValueArrayInitializerContext, GroovyParser.ElementValueContext, GroovyParser.ElementValuePairContext, GroovyParser.ElementValuePairNameContext, GroovyParser.ElementValuePairsContext, GroovyParser.ElementValuesContext, GroovyParser.EmptyStmtAltContext, GroovyParser.EnhancedArgumentListElementContext, GroovyParser.EnhancedArgumentListInParContext, GroovyParser.EnhancedExpressionContext, GroovyParser.EnhancedForControlContext, GroovyParser.EnhancedStatementExpressionContext, GroovyParser.EnumConstantContext, GroovyParser.EnumConstantsContext, GroovyParser.EqualityExprAltContext, GroovyParser.ExclusiveOrExprAltContext, GroovyParser.ExpressionContext, GroovyParser.ExpressionInParContext, GroovyParser.ExpressionListContext, GroovyParser.ExpressionListElementContext, GroovyParser.ExpressionStmtAltContext, GroovyParser.FieldDeclarationContext, GroovyParser.FinallyBlockContext, GroovyParser.FloatingPointLiteralAltContext, GroovyParser.ForControlContext, GroovyParser.ForInitContext, GroovyParser.FormalParameterContext, GroovyParser.FormalParameterListContext, GroovyParser.FormalParametersContext, GroovyParser.ForStmtAltContext, GroovyParser.ForUpdateContext, GroovyParser.GroovyParserRuleContext, GroovyParser.GstringContext, GroovyParser.GstringPathContext, GroovyParser.GstringPrmrAltContext, GroovyParser.GstringValueContext, GroovyParser.IdentifierContext, GroovyParser.IdentifierPrmrAltContext, GroovyParser.IfElseStatementContext, GroovyParser.ImplicationExprAltContext, GroovyParser.ImportDeclarationContext, GroovyParser.InclusiveOrExprAltContext, GroovyParser.IndexPropertyArgsContext, GroovyParser.IndexVariableContext, GroovyParser.IntegerLiteralAltContext, GroovyParser.KeywordsContext, GroovyParser.LabeledStmtAltContext, GroovyParser.LambdaBodyContext, GroovyParser.ListContext, GroovyParser.ListPrmrAltContext, GroovyParser.LiteralContext, GroovyParser.LiteralPrmrAltContext, GroovyParser.LocalVariableDeclarationContext, GroovyParser.LocalVariableDeclarationStmtAltContext, GroovyParser.LogicalAndExprAltContext, GroovyParser.LogicalOrExprAltContext, GroovyParser.LoopStatementContext, GroovyParser.LoopStmtAltContext, GroovyParser.MapContext, GroovyParser.MapEntryContext, GroovyParser.MapEntryLabelContext, GroovyParser.MapEntryListContext, GroovyParser.MapPrmrAltContext, GroovyParser.MatchingTypeContext, GroovyParser.MemberDeclarationContext, GroovyParser.MethodBodyContext, GroovyParser.MethodDeclarationContext, GroovyParser.MethodNameContext, GroovyParser.ModifierContext, GroovyParser.ModifiersContext, GroovyParser.ModifiersOptContext, GroovyParser.MultipleAssignmentExprAltContext, GroovyParser.MultiplicativeExprAltContext, GroovyParser.NamedPropertyArgsContext, GroovyParser.NamePartContext, GroovyParser.NewPrmrAltContext, GroovyParser.NlsContext, GroovyParser.NonWildcardTypeArgumentsContext, GroovyParser.NullLiteralAltContext, GroovyParser.OriginalForControlContext, GroovyParser.PackageDeclarationContext, GroovyParser.ParenPrmrAltContext, GroovyParser.ParExpressionContext, GroovyParser.PathElementContext, GroovyParser.PathExpressionContext, GroovyParser.PostfixExprAltContext, GroovyParser.PostfixExpressionContext, GroovyParser.PowerExprAltContext, GroovyParser.PrimaryContext, GroovyParser.PrimitiveTypeContext, GroovyParser.QualifiedClassNameContext, GroovyParser.QualifiedClassNameListContext, GroovyParser.QualifiedNameContext, GroovyParser.QualifiedNameElementContext, GroovyParser.QualifiedNameElementsContext, GroovyParser.QualifiedStandardClassNameContext, GroovyParser.ReferenceTypeContext, GroovyParser.RegexExprAltContext, GroovyParser.RelationalExprAltContext, GroovyParser.ResourceContext, GroovyParser.ResourceListContext, GroovyParser.ResourcesContext, GroovyParser.ReturnStmtAltContext, GroovyParser.ReturnTypeContext, GroovyParser.ScriptStatementContext, GroovyParser.ScriptStatementsContext, GroovyParser.SepContext, GroovyParser.ShiftExprAltContext, GroovyParser.StandardLambdaExpressionContext, GroovyParser.StandardLambdaParametersContext, GroovyParser.StatementContext, GroovyParser.StatementExpressionContext, GroovyParser.StringLiteralAltContext, GroovyParser.StringLiteralContext, GroovyParser.SuperPrmrAltContext, GroovyParser.SwitchBlockStatementExpressionGroupContext, GroovyParser.SwitchBlockStatementGroupContext, GroovyParser.SwitchExprAltContext, GroovyParser.SwitchExpressionContext, GroovyParser.SwitchExpressionLabelContext, GroovyParser.SwitchLabelContext, GroovyParser.SwitchStatementContext, GroovyParser.SynchronizedStmtAltContext, GroovyParser.ThisFormalParameterContext, GroovyParser.ThisPrmrAltContext, GroovyParser.ThrowStmtAltContext, GroovyParser.TryCatchStatementContext, GroovyParser.TryCatchStmtAltContext, GroovyParser.TypeArgumentContext, GroovyParser.TypeArgumentsContext, GroovyParser.TypeArgumentsOrDiamondContext, GroovyParser.TypeBoundContext, GroovyParser.TypeContext, GroovyParser.TypeDeclarationContext, GroovyParser.TypeListContext, GroovyParser.TypeNamePairContext, GroovyParser.TypeNamePairsContext, GroovyParser.TypeParameterContext, GroovyParser.TypeParametersContext, GroovyParser.UnaryAddExprAltContext, GroovyParser.UnaryNotExprAltContext, GroovyParser.VariableDeclarationContext, GroovyParser.VariableDeclaratorContext, GroovyParser.VariableDeclaratorIdContext, GroovyParser.VariableDeclaratorsContext, GroovyParser.VariableInitializerContext, GroovyParser.VariableModifierContext, GroovyParser.VariableModifiersContext, GroovyParser.VariableModifiersOptContext, GroovyParser.VariableNamesContext, GroovyParser.WhileStmtAltContext, GroovyParser.YieldStatementContext, GroovyParser.YieldStmtAltContext`

  ## Nested classes/interfaces inherited from class org.antlr.v4.runtime.Parser

  `org.antlr.v4.runtime.Parser.TraceListener, org.antlr.v4.runtime.Parser.TrimToSizeListener`

- ## Field Summary

  ### Fields inherited from class org.apache.groovy.parser.antlr4.GroovyParser

  `_ATN, _serializedATN, ABSTRACT, ADD, ADD_ASSIGN, AND, AND_ASSIGN, ARROW, AS, ASSERT, ASSIGN, AT, BITAND, BITNOT, BITOR, BooleanLiteral, BREAK, BuiltInPrimitiveType, CapitalizedIdentifier, CASE, CATCH, CLASS, COLON, COMMA, CONST, CONTINUE, DEC, DEF, DEFAULT, DIV, DIV_ASSIGN, DO, DOT, ELLIPSIS, ELSE, ELVIS, ELVIS_ASSIGN, ENUM, EQUAL, EXTENDS, FINAL, FINALLY, FloatingPointLiteral, FOR, GE, GOTO, GStringBegin, GStringEnd, GStringPart, GStringPathPart, GT, IDENTICAL, Identifier, IF, IMPLEMENTS, IMPLIES, IMPORT, IN, INC, INSTANCEOF, IntegerLiteral, INTERFACE, LBRACE, LBRACK, LE, LPAREN, LSHIFT_ASSIGN, LT, METHOD_POINTER, METHOD_REFERENCE, MOD, MOD_ASSIGN, MUL, MUL_ASSIGN, NATIVE, NEW, NL, NON_SEALED, NOT, NOT_IDENTICAL, NOT_IN, NOT_INSTANCEOF, NOTEQUAL, NullLiteral, OR, OR_ASSIGN, PACKAGE, PERMITS, POWER, POWER_ASSIGN, PRIVATE, PROTECTED, PUBLIC, QUESTION, RANGE_EXCLUSIVE_FULL, RANGE_EXCLUSIVE_LEFT, RANGE_EXCLUSIVE_RIGHT, RANGE_INCLUSIVE, RBRACE, RBRACK, RECORD, REGEX_FIND, REGEX_MATCH, RETURN, RollBackOne, RPAREN, RSHIFT_ASSIGN, RULE_annotatedQualifiedClassName, RULE_annotation, RULE_annotationName, RULE_annotationsOpt, RULE_anonymousInnerClassDeclaration, RULE_argumentList, RULE_argumentListElement, RULE_arguments, RULE_arrayInitializer, RULE_assertStatement, RULE_block, RULE_blockStatement, RULE_blockStatements, RULE_blockStatementsOpt, RULE_breakStatement, RULE_builtInType, RULE_castOperandExpression, RULE_castParExpression, RULE_catchClause, RULE_catchType, RULE_classBody, RULE_classBodyDeclaration, RULE_classDeclaration, RULE_className, RULE_classOrInterfaceModifier, RULE_classOrInterfaceModifiers, RULE_classOrInterfaceModifiersOpt, RULE_closure, RULE_closureOrLambdaExpression, RULE_commandArgument, RULE_commandExpression, RULE_commandPrimary, RULE_compactConstructorDeclaration, RULE_compilationUnit, RULE_conditionalStatement, RULE_continueStatement, RULE_createdName, RULE_creator, RULE_dim0, RULE_dim1, RULE_dynamicMemberName, RULE_elementValue, RULE_elementValueArrayInitializer, RULE_elementValuePair, RULE_elementValuePairName, RULE_elementValuePairs, RULE_elementValues, RULE_enhancedArgumentListElement, RULE_enhancedArgumentListInPar, RULE_enhancedExpression, RULE_enhancedForControl, RULE_enhancedStatementExpression, RULE_enumConstant, RULE_enumConstants, RULE_expression, RULE_expressionInPar, RULE_expressionList, RULE_expressionListElement, RULE_fieldDeclaration, RULE_finallyBlock, RULE_firstArgumentListElement, RULE_forControl, RULE_forInit, RULE_formalParameter, RULE_formalParameterList, RULE_formalParameters, RULE_forUpdate, RULE_gstring, RULE_gstringPath, RULE_gstringValue, RULE_identifier, RULE_ifElseStatement, RULE_importDeclaration, RULE_indexPropertyArgs, RULE_indexVariable, RULE_keywords, RULE_lambdaBody, RULE_lambdaExpression, RULE_lambdaParameters, RULE_list, RULE_literal, RULE_localVariableDeclaration, RULE_loopStatement, RULE_map, RULE_mapEntry, RULE_mapEntryLabel, RULE_mapEntryList, RULE_matchingType, RULE_memberDeclaration, RULE_methodBody, RULE_methodDeclaration, RULE_methodName, RULE_modifier, RULE_modifiers, RULE_modifiersOpt, RULE_namedArg, RULE_namedArgLabel, RULE_namedArgPrimary, RULE_namedPropertyArg, RULE_namedPropertyArgLabel, RULE_namedPropertyArgList, RULE_namedPropertyArgPrimary, RULE_namedPropertyArgs, RULE_namePart, RULE_nls, RULE_nonWildcardTypeArguments, RULE_originalForControl, RULE_packageDeclaration, RULE_parExpression, RULE_pathElement, RULE_pathExpression, RULE_postfixExpression, RULE_primary, RULE_primitiveType, RULE_qualifiedClassName, RULE_qualifiedClassNameList, RULE_qualifiedName, RULE_qualifiedNameElement, RULE_qualifiedNameElements, RULE_qualifiedStandardClassName, RULE_referenceType, RULE_resource, RULE_resourceList, RULE_resources, RULE_returnType, RULE_scriptStatement, RULE_scriptStatements, RULE_sep, RULE_standardClassOrInterfaceType, RULE_standardLambdaExpression, RULE_standardLambdaParameters, RULE_standardType, RULE_statement, RULE_statementExpression, RULE_stringLiteral, RULE_switchBlockStatementExpressionGroup, RULE_switchBlockStatementGroup, RULE_switchExpression, RULE_switchExpressionLabel, RULE_switchLabel, RULE_switchStatement, RULE_thisFormalParameter, RULE_tryCatchStatement, RULE_type, RULE_typeArgument, RULE_typeArguments, RULE_typeArgumentsOrDiamond, RULE_typeBound, RULE_typeDeclaration, RULE_typeList, RULE_typeNamePair, RULE_typeNamePairs, RULE_typeParameter, RULE_typeParameters, RULE_variableDeclaration, RULE_variableDeclarator, RULE_variableDeclaratorId, RULE_variableDeclarators, RULE_variableInitializer, RULE_variableModifier, RULE_variableModifiers, RULE_variableModifiersOpt, RULE_variableNames, RULE_yieldStatement, ruleNames, SAFE_CHAIN_DOT, SAFE_DOT, SAFE_INDEX, SEALED, SEMI, SH_COMMENT, SPACESHIP, SPREAD_DOT, STATIC, STRICTFP, StringLiteral, SUB, SUB_ASSIGN, SUPER, SWITCH, SYNCHRONIZED, THIS, THREADSAFE, THROW, THROWS, tokenNames, TRAIT, TRANSIENT, TRY, UNEXPECTED_CHAR, URSHIFT_ASSIGN, VAR, VOCABULARY, VOID, VOLATILE, WHILE, WS, XOR, XOR_ASSIGN, YIELD`

  ### Fields inherited from class org.antlr.v4.runtime.Parser

  `_buildParseTrees, _ctx, _errHandler, _input, _parseListeners, _precedenceStack, _syntaxErrors, errorSyncEnabled, matchedEOF`

  ### Fields inherited from class org.antlr.v4.runtime.Recognizer

  `_interp, EOF`

  ### Fields inherited from interface org.apache.groovy.parser.antlr4.SyntaxErrorReportable

  `NO_OFFSET`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroovyLangParser(org.antlr.v4.runtime.TokenStream input)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.antlr.v4.runtime.FailedPredicateException`
  `createFailedPredicateException(String predicate, String message)`

  ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser

  `annotatedQualifiedClassName, annotation, annotationName, annotationsOpt, anonymousInnerClassDeclaration, argumentList, argumentListElement, arguments, arrayInitializer, assertStatement, block, blockStatement, blockStatements, blockStatementsOpt, breakStatement, builtInType, castOperandExpression, castParExpression, catchClause, catchType, classBody, classBodyDeclaration, classDeclaration, className, classOrInterfaceModifier, classOrInterfaceModifiers, classOrInterfaceModifiersOpt, closure, closureOrLambdaExpression, commandArgument, commandExpression, commandPrimary, compactConstructorDeclaration, compilationUnit, conditionalStatement, continueStatement, createdName, creator, dim0, dim1, dynamicMemberName, elementValue, elementValueArrayInitializer, elementValuePair, elementValuePairName, elementValuePairs, elementValues, enhancedArgumentListElement, enhancedArgumentListInPar, enhancedExpression, enhancedForControl, enhancedStatementExpression, enumConstant, enumConstants, expression, expressionInPar, expressionList, expressionListElement, fieldDeclaration, finallyBlock, firstArgumentListElement, forControl, forInit, formalParameter, formalParameterList, formalParameters, forUpdate, getErrorColumn, getErrorLine, getGrammarFileName, getRuleNames, getSerializedATN, getSyntaxErrorSource, getTokenNames, getVocabulary, gstring, gstringPath, gstringValue, identifier, ifElseStatement, importDeclaration, indexPropertyArgs, indexVariable, keywords, lambdaBody, lambdaExpression, lambdaParameters, list, literal, localVariableDeclaration, loopStatement, map, mapEntry, mapEntryLabel, mapEntryList, matchingType, memberDeclaration, methodBody, methodDeclaration, methodName, modifier, modifiers, modifiersOpt, namedArg, namedArgLabel, namedArgPrimary, namedPropertyArg, namedPropertyArgLabel, namedPropertyArgList, namedPropertyArgPrimary, namedPropertyArgs, namePart, nls, nonWildcardTypeArguments, originalForControl, packageDeclaration, parExpression, pathElement, pathExpression, postfixExpression, primary, primitiveType, qualifiedClassName, qualifiedClassNameList, qualifiedName, qualifiedNameElement, qualifiedNameElements, qualifiedStandardClassName, referenceType, resource, resourceList, resources, returnType, scriptStatement, scriptStatements, sempred, sep, standardClassOrInterfaceType, standardLambdaExpression, standardLambdaParameters, standardType, statement, statementExpression, stringLiteral, switchBlockStatementExpressionGroup, switchBlockStatementGroup, switchExpression, switchExpressionLabel, switchLabel, switchStatement, thisFormalParameter, tryCatchStatement, type, typeArgument, typeArguments, typeArgumentsOrDiamond, typeBound, typeDeclaration, typeList, typeNamePair, typeNamePairs, typeParameter, typeParameters, variableDeclaration, variableDeclarator, variableDeclaratorId, variableDeclarators, variableInitializer, variableModifier, variableModifiers, variableModifiersOpt, variableNames, yieldStatement`

  ### Methods inherited from class org.antlr.v4.runtime.Parser

  `addContextToParseTree, addParseListener, compileParseTreePattern, compileParseTreePattern, consume, consume, createErrorNode, createTerminalNode, dumpDFA, enterLeftFactoredRule, enterOuterAlt, enterRecursionRule, enterRecursionRule, enterRule, errorSyncEnabled, exitRule, getATNWithBypassAlts, getBuildParseTree, getContext, getCurrentToken, getDFAStrings, getErrorHandler, getErrorListenerDispatch, getExpectedTokens, getExpectedTokensWithinCurrentRule, getInputStream, getInvokingContext, getNumberOfSyntaxErrors, getParseInfo, getParseListeners, getPrecedence, getRuleContext, getRuleIndex, getRuleInvocationStack, getRuleInvocationStack, getSourceName, getTokenFactory, getTrimParseTree, inContext, isExpectedToken, isMatchedEOF, isTrace, match, matchWildcard, notifyErrorListeners, notifyErrorListeners, precpred, pushNewRecursionContext, removeParseListener, removeParseListeners, reset, setBuildParseTree, setContext, setErrorHandler, setInputStream, setProfile, setTrace, setTrimParseTree, triggerEnterRuleEvent, triggerExitRuleEvent, unrollRecursionContexts`

  ### Methods inherited from class org.antlr.v4.runtime.Recognizer

  `action, addErrorListener, getATN, getErrorHeader, getErrorListeners, getInterpreter, getRuleIndexMap, getState, getTokenErrorDisplay, getTokenType, getTokenTypeMap, removeErrorListener, removeErrorListeners, setInterpreter, setState`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.groovy.parser.antlr4.SyntaxErrorReportable

  `genPositionInfo, genPositionInfo, require, require, require, require, require, require, throwSyntaxError, throwSyntaxError`

- ## Constructor Details

  - ### GroovyLangParser

    public GroovyLangParser(org.antlr.v4.runtime.TokenStream input)

- ## Method Details

  - ### createFailedPredicateException

    protected org.antlr.v4.runtime.FailedPredicateException createFailedPredicateException(String predicate, String message)
    Overrides:
      `createFailedPredicateException` in class `GroovyParser`